### Method

# Malcontent AppFilter get_oars_value

since: 0.2.0

#### Declaration [src]

    MctAppFilterOarsValue
    mct_app_filter_get_oars_value (
      MctAppFilter* filter,
      const gchar* oars_section
    )

#### Description [src]

Get the value assigned to the given `oars_section` in the OARS filter stored within `filter`.

If that section has no value explicitly defined, `MCT_APP_FILTER_OARS_VALUE_UNKNOWN` is returned.

This value is the most intense value allowed for apps to have in this section, inclusive. Any app with a more intense value for this section must be hidden from the user whose `filter` this is.

This does not factor in `mct_app_filter_is_system_installation_allowed()`.

Available since: 0.2.0

#### Parameters

`oars_section`

  Type: `const gchar*`

  Name of the OARS section to get the value from.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `MctAppFilterOarsValue`

An OARS value.